use chrono::prelude::*;
use diesel::prelude::*;
use uuidv7::Uuid;

use crate::db::schema;

#[derive(Identifiable, Queryable, Debug)]
#[diesel(table_name = schema::directories)]
pub struct Directory {
    pub id: Uuid,
    pub active: bool,
    pub created_at: DateTime<Utc>,
    pub updated_at: Option<DateTime<Utc>>,
}

#[derive(Insertable, Debug)]
#[diesel(table_name = schema::directories)]
pub struct NewDirectory {
    pub active: bool,
}
